<?
/************************************************************************/
/* PowerDownload is a PHP and mySQL based Download Script               */
/* Copyright (C) 2001-2002 PowerScripts                                 */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or    */
/* (at your option) any later version.                                  */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                */
/* MA  02111-1307  USA                                                  */
/************************************************************************/

if($user[extra_recht] == "Y")
 {
function sqldumptable($table) {
  global $db_handler;

  $tabledump = "DROP TABLE IF EXISTS $table;\n";
  $tabledump .= "CREATE TABLE $table (\n";

  $firstfield=1;

  // get columns and spec
  $fields = $db_handler->sql_query("SHOW FIELDS FROM $table");
  while ($field = $db_handler->sql_fetch_array($fields)) {
    if (!$firstfield) {
      $tabledump .= ",\n";
    } else {
      $firstfield=0;
    }
    $tabledump .= "   $field[Field] $field[Type]";
    if (!empty($field["Default"])) {
      // get default value
      $tabledump .= " DEFAULT '$field[Default]'";
    }
    if ($field[Null] != "YES") {
      // can field be null
      $tabledump .= " NOT NULL";
    }
    if ($field[Extra] != "") {
      // any extra info?
      $tabledump .= " $field[Extra]";
    }
  }

  // get keys list
  $keys = $db_handler->sql_query("SHOW KEYS FROM $table");
  while ($key = $db_handler->sql_fetch_array($keys)) {
    $kname=$key['Key_name'];
    if ($kname != "PRIMARY" and $key['Non_unique'] == 0) {
      $kname="UNIQUE|$kname";
    }
    if(!is_array($index[$kname])) {
      $index[$kname] = array();
    }
    $index[$kname][] = $key['Column_name'];
  }

  // get each key info
  while(list($kname, $columns) = @each($index)){
    $tabledump .= ",\n";
    $colnames=implode($columns,",");

    if($kname == "PRIMARY"){
      // do primary key
      $tabledump .= "   PRIMARY KEY ($colnames)";
    } else {
      // do standard key
      if (substr($kname,0,6) == "UNIQUE") {
        // key is unique
        $kname=substr($kname,7);
      }

      $tabledump .= "   KEY $kname ($colnames)";

    }
  }

  $tabledump .= "\n);\n\n";

  // get data
  $rows = $db_handler->sql_query("SELECT * FROM $table");
  $numfields=$db_handler->sql_num_fields($rows);
  while ($row = $db_handler->sql_fetch_array($rows)) {
    $tabledump .= "INSERT INTO $table VALUES(";

    $fieldcounter=-1;
    $firstfield=1;
    // get each field's data
    while (++$fieldcounter<$numfields) {
      if (!$firstfield) {
        $tabledump.=",";
      } else {
        $firstfield=0;
      }

      if (!isset($row[$fieldcounter])) {
        $tabledump .= "NULL";
      } else {
        $tabledump .= "'".$db_handler->sql_escape_string($row[$fieldcounter])."'";
      }
    }

    $tabledump .= ");\n";
  }

  return $tabledump;
}

if($submit == 1)
 {
  header("Content-disposition: filename=pdl_backup_".date("dmY", time()).".sql");
  header("Content-type: unknown/unknown");
  $backup_res = $db_handler->sql_query("SHOW TABLES FROM $config_sql_database");
  while($backup_row = $db_handler->sql_fetch_array($backup_res))
   {
    echo sqldumptable($backup_row[0])."\n\n\n";
   }
 }
else
 {
  echo $header;
?>
<body bgcolor="<? echo $admin_bg; ?>" leftmargin="5" topmargin="5" rightmargin="5">
<form action='<? echo $PHP_SELF; ?>?pdl_action=<? echo $pdl_action; ?>&submit=1' method='post'>
<center>
<table border="0" cellpadding="0" cellspacing="0" width="90%">
  <tr>
    <td bgcolor="<? echo $admin_border; ?>">
      <table border="0" cellpadding="3" cellspacing="1" width="100%">
        <tr>
          <td bgcolor="<? echo $admin_header; ?>" align="center">
            <b>Datenbank Backup anfertigen?</b>
          </td>
        </tr>
        <tr>
          <td bgcolor="<? echo $admin_alt1; ?>">
            <small>
            Hiermit knnen Sie ein Datenbank Backup in form einer .sql Datei erstellen und herunterladen.<br>
            </small>
          </td>
        </tr>
        <tr>
          <td bgcolor="<? echo $admin_footer; ?>" align="center">
            <input type="submit" value="     Ja     ">
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</center>
</form>
<?
  echo $footer;
 }
}
else
{ echo $header."<body bgcolor=\"$admin_bg\" leftmargin=\"5\" topmargin=\"5\" rightmargin=\"5\"><center><b>Sie haben nicht die ntigen Rechte um diese Adminseite aufzurufen.</b></center>".$footer; }
?>
