<?
/************************************************************************/
/* PowerDownload is a PHP and mySQL based Download Script               */
/* Copyright (C) 2001-2002 PowerScripts                                 */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or    */
/* (at your option) any later version.                                  */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                */
/* MA  02111-1307  USA                                                  */
/************************************************************************/

################ function dlspeed ################
# Berechnet die bentigte Downloadzeit ###########
function dlspeed($speed,$speedname,$size)
 {
  $sekunden = round($size/$speed,2);
  if($sekunden >= 60)
   {
    $minuten = round($sekunden/60,2);
    if($minuten >= 60)
     {
      $stunden = round($minuten/60,2);
      $stunden = explode(".", $stunden);
      $mins = ceil(($stunden[1]*60)/100);
      return "$speedname ($speed KB/s): $stunden[0] Stunden, $mins Minuten!<br>\n";
     }
    else
     {
      $mins = explode(".", $minuten);
      $seks = ceil(($mins[1]*60)/100);
      return "$speedname ($speed KB/s): $mins[0] Minuten, $seks Sekunden!<br>\n";
     }
   }
  else
   {
    $sekunden = ceil($sekunden);
    return "$speedname ($speed KB/s): $sekunden Sekunden!<br>\n";
   }
 }
############## End function dlspeed ##############

################# function size ##################
# Gibt je nach Gre KB oder MB aus ##############
function size($size)
 {
  $size = round($size);
  if($size >= 1024)
   {
    $size2 = round($size/1024, 1);
    if($size2 >= 1024)
     {
      $size3 = round($size2/1024, 1);
      if($size3 >= 1024)
       {
        $size4 = round($size3/1024, 1);
        return $size4." TB";
       }
      else return $size3." GB";
     }
    else return $size2." MB";
   }
  else return $size." KB";
 }
############### End function size ################

############### function addvote #################
# Trgt einen Vote in die Datenbank ein ##########
function addvote($voted_id,$file_id)
 {
  global $db_handler, $REMOTE_ADDR, $sql_table;
  $db_handler->sql_query("INSERT INTO $sql_table[votes] (file_id, ip) VALUES ('$file_id', '$REMOTE_ADDR')");
  $votes_res = $db_handler->sql_fetch_array($db_handler->sql_query("SELECT votes, vote FROM $sql_table[files] WHERE id='$file_id'"));
  $votes = $votes_res[votes]+1;
  $vote = $votes_res[vote]+$voted_id;#($votes_res[votes]*$votes_res[vote]+$voted_id)/$votes;
  $db_handler->sql_query("UPDATE $sql_table[files] SET votes='$votes', vote='$vote' WHERE id='$file_id'");
  return true;
 }
############## End function addvote ##############

################# function voted #################
# Schaut ob man gevoted hat und gibt je nachdem ##
# Das Formular order eine Meldung aus ############
function voted($file_id)
 {
  global $settings, $REMOTE_ADDR, $db_handler, $sql_table;
  $check_res = $db_handler->sql_query("SELECT * FROM $sql_table[votes] WHERE file_id='$file_id' AND ip='$REMOTE_ADDR'");
  if($db_handler->sql_num_rows($check_res) == 0)
   {
    return "<form action=\"".$settings[script_file]."file_id=".$file_id."&vote=1\" method=\"post\">
    Bewerten:<br>
    <select name=\"vote_id\">
    <option value=\"1\">1 (Sehr schlecht)
    <option value=\"2\">2
    <option value=\"3\">3
    <option value=\"4\">4
    <option value=\"5\">5 (Mittel)
    <option value=\"6\">6
    <option value=\"7\">7
    <option value=\"8\">8
    <option value=\"9\">9
    <option value=\"10\">10 (Sehr gut)
    </select>
    <input type=\"submit\" value=\"Vote!\">
    </form>\n";
   }
 }
############## End function voted ################

################# function cookie ################
# Setzt ein Cookie fr 1 Jahr ####################
function cookie($name,$value)
 {
  setcookie("$name","$value",time() + 8760 * 3600);
 }
############## End function cookie ###############

################# function addfile ###############
# Addet eine Datei in die Datenbank ##############
function addfile($name,$text,$size,$url,$ordner_id,$uploader,$screen_name,$author,$author_nick,$author_mail,$author_url,$author_icq,$released)
 {
  global $db_handler, $sql_table;
  $now = time();
  if($db_handler->sql_query("INSERT INTO $sql_table[files] (name, text, timestamp, size, url, ordner_id, uploader, screen_name, author, author_nick, author_mail, author_url, author_icq, released) VALUES ('$name', '$text', '$now', '$size', '$url', '$ordner_id', '$uploader', '$screen_name', '$author', '$author_nick', '$author_mail', '$author_url', '$author_icq', '$released')") == true) return true;
 }
############# End function addfile ###############

################ function editfile ###############
# ndert eine Datei in der Datenbank #############
function editfile($name,$text,$size,$url,$ordner_id,$loads,$views,$screen_name,$author,$author_nick,$author_mail,$author_url,$author_icq,$released,$id)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("UPDATE $sql_table[files] SET name='$name', text='$text', loads='$loads', views='$views', ordner_id='$ordner_id', size='$size', url='$url', screen_name='$screen_name', author='$author', author_nick='$author_nick', author_mail='$author_mail', author_url='$author_url', author_icq='$author_icq', released='$released' WHERE id='$id'") == true) return true;
 }
############ End function editfile ###############

################ function delfile ################
# Lscht eine Datei aus der Datenbank ############
function delfile($id)
 {
  global $db_handler, $sql_table;
  if(($db_handler->sql_query("DELETE FROM $sql_table[files] WHERE id='$id'") == true) && ($db_handler->sql_query("DELETE FROM pdl_votes WHERE file_id='$id'") == true) && ($db_handler->sql_query("DELETE FROM pdl_mirrors WHERE file_id='$id'") == true) && ($db_handler->sql_query("DELETE FROM pdl_comments WHERE file_id='$id'") == true)) return true;
 }
############# End function delfile ###############

############### function addmirror ###############
# Addet einen Mirror #############################
function addmirror($url,$name,$file_id)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("INSERT INTO $sql_table[mirrors] (name, file_id, url) VALUES ('$name', '$file_id', '$url')") == true) return true;
 }
############ End function addmirror ##############

################ function delmirror ##############
# Lscht einen Mirror ############################
function delmirror($id)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("DELETE FROM $sql_table[mirrors] WHERE id='$id'") == true) return true;
 }
############# End function delmirror #############

################ function adddir #################
# Addet einen Ordner in die Datenbank ############
function adddir($name,$text,$ordner_id,$design_id)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("INSERT INTO $sql_table[dirs] (name, text, ordner_id, design_id) VALUES ('$name', '$text', '$ordner_id', '$design_id')") == true) return true;
 }
############# End function adddir ################

################ function editdir ################
# ndert einen Ordner in der Datenbank ###########
function editdir($name,$text,$ordner_id,$design_id,$id)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("UPDATE $sql_table[dirs] SET name='$name', text='$text', ordner_id='$ordner_id', design_id='$design_id' WHERE id='$id'") == true) return true;
 }
############# End function editdir ###############

################ function deldir #################
# Lscht einen Ordner aus der Datenbank ##########
function deldir($id)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("DELETE FROM $sql_table[dirs] WHERE id='$id'") == true) return true;
 }
############# End function deldir ################

################ function addadmin ###############
# Addet einen Admin in die Datenbank #############
function addadmin($nick,$mail,$pw,$url,$icq,$addcomments,$access_admin,$delfiles,$editfiles,$addadmins,$deladmins,$editadmins,$adddirs,$deldirs,$editdirs,$manage_designs,$extra_recht)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("INSERT INTO $sql_table[admins] (nick, mail, pw, url, icq, addcomments, access_admin, delfiles, editfiles, addadmins, deladmins, editadmins, adddirs, deldirs, editdirs, manage_designs, extra_recht) VALUES ('$nick', '$mail', '$pw', '$url', '$icq', '$addcomments', '$access_admin', '$delfiles', '$editfiles', '$addadmins', '$deladmins', '$editadmins', '$adddirs', '$deldirs', '$editdirs', '$manage_designs', '$extra_recht')") == true) return true;
 }
############# End function deldir ################

################ function editadmin ##############
# ndert einen Admin in der Datenbank ############
function editadmin($nick,$mail,$pw,$url,$icq,$addcomments,$access_admin,$delfiles,$editfiles,$addadmins,$deladmins,$editadmins,$adddirs,$deldirs,$editdirs,$manage_designs,$extra_recht,$id)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("UPDATE $sql_table[admins] SET nick='$nick', mail='$mail', pw='$pw', url='$url', icq='$icq', addcomments='$addcomments', access_admin='$access_admin', delfiles='$delfiles', editfiles='$editfiles', addadmins='$addadmins', deladmins='$deladmins', editadmins='$editadmins', adddirs='$adddirs', deldirs='$deldirs', editdirs='$editdirs', manage_designs='$manage_designs', extra_recht='$extra_recht' WHERE id='$id'") == true) return true;
 }
############# End function editadmin #############

################ function deladmin ###############
# Lscht einen Admin aus der Datenbank ###########
function deladmin($id)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("DELETE FROM $sql_table[admins] WHERE id='$id'") == true) return true;
 }
############# End function deladmin ##############

############### function addcomment ##############
# Addet ein Kommentar in die Datenbank ###########
function addcomment($user_id,$text,$titel,$file_id)
 {
  global $db_handler, $sql_table;
  $now = time();
  if($db_handler->sql_query("INSERT INTO $sql_table[comments] (user, text, file_id, titel, timestamp) VALUES ('$user_id', '$text', '$file_id', '$titel', '$now')") == true) return true;
 }
############# End function addcomment ############

############### function delcomment ##############
# Lscht ein Kommentar aus der Datenbank #########
function delcomment($id)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("DELETE FROM $sql_table[comments] WHERE id='$id'") == true) return true;
 }
############# End function delcomment ############

############## function editcomment ##############
# ndert ein Kommentar in der Datenbank ##########
function editcomment($text,$titel,$id)
 {
  global $db_handler, $sql_table;
  if($db_handler->sql_query("UPDATE $sql_table[comments] SET text='$text', titel='$titel' WHERE id='$id'") == true) return true;
 }
############# End function editcomment ###########

############ function increase_views #############
# Erhht die Views einer Datei um 1 ##############
function increase_views($id)
 {
  global $db_handler, $sql_table;
  $increase_res = $db_handler->sql_query("SELECT * FROM $sql_table[files] WHERE id='$id'");
  while($increase_row = $db_handler->sql_fetch_array($increase_res))
   {
    $new_views = $increase_row[views]+1;
   }
  $db_handler->sql_query("UPDATE $sql_table[files] SET views='$new_views' WHERE id='$id'");
 }
########## End function increase_views ###########

############ function increase_loads #############
# Erhht die Loads einer Datei um 1 ##############
function increase_loads($id)
 {
  global $db_handler, $sql_table;
  $increase_res = $db_handler->sql_query("SELECT * FROM $sql_table[files] WHERE id='$id'");
  while($increase_row = $db_handler->sql_fetch_array($increase_res))
   {
    $new_loads = $increase_row[loads]+1;
   }
  $db_handler->sql_query("UPDATE $sql_table[files] SET loads='$new_loads' WHERE id='$id'");
 }
########## End function increase_loads ###########

################ function seite ##################
# Bltterfunction ################################
function seite($total,$perpage,$link,$file)
 {
  global $page;
  $i = ceil($total/$perpage);
  if($page == 1)
   { $seiten.= "&lt;-- &lt;- "; }
  else
   {
    $previous = $page-1;
    $seiten.= "<a href=\"".$file."page=1".$link."\">&lt;--</a> <a href=\"".$file."page=".$previous.$link."\">&lt;-</a> ";
   }
  for($j=1;$j<=$i;$j++)
   {
    if($page == $j)
     {
      $seiten.="$j ";
     }
    else
     {
      $seiten.="<a href=\"".$file."page=".$j.$link."\">$j</a> ";
     }
   }
  if($i == $page)
   { $seiten.= " -&gt; --&gt;"; }
  else
   {
    $next = $page+1;
    $seiten.=" <a href=\"".$file."page=".$next.$link."\">-&gt;</a> <a href=\"".$file."page=".$i.$link."\">--&gt;</a>";
   }
  if($total > $perpage)
     { return $seiten; }
 }
############## End function seite ################

############### function treeview ################
# Gibt die Ordner in einem Treevie aus ###########
function treeview($ordner, $head, $link, $file)
 {
  global $db_handler,$ordner_id, $sql_table;
  $treeview_res = $db_handler->sql_query("SELECT * FROM $sql_table[dirs] WHERE ordner_id ='$ordner'");
  while($treeview_row = $db_handler->sql_fetch_array($treeview_res))
   {
    if(!$head)
     { $head = "<img src=\"pdl-gfx/spacer.gif\" border=\"0\" width=\"15\">"; }
    if($ordner_id == $treeview_row[id])
     { echo $head."<img src=\"pdl-gfx/folder_open.gif\" border=\"0\"> <a href=\"".$file."ordner_id=".$treeview_row[id].$link."\">$treeview_row[name]</a><br>"; }
    else
     { echo $head."<img src=\"pdl-gfx/folder.gif\" border=\"0\"> <a href=\"".$file."ordner_id=".$treeview_row[id].$link."\">$treeview_row[name]</a><br>"; }
    $head2 = "<img src=\"pdl-gfx/spacer.gif\" border=\"0\" width=\"15\">".$head;
    treeview($treeview_row[id], $head2, $link, $file);
   }
 }
############# End function treeview ##############

############### function treeview2 ###############
# Gibt die Ordner in einem Treevie fr Dropdown ##
# Boxen aus ######################################
function treeview2($ordner, $head)
 {
  global $db_handler,$ordner_id, $sql_table;
  $treeview_res = $db_handler->sql_query("SELECT * FROM $sql_table[dirs] WHERE ordner_id ='$ordner'");
  while($treeview_row = $db_handler->sql_fetch_array($treeview_res))
   {
    if(!$head)
     { $head = "--"; }
    if($ordner_id == $treeview_row[id])
     { echo "<option value=\"$treeview_row[id]\" selected>".$head." $treeview_row[name]\n"; }
    else
     { echo "<option value=\"$treeview_row[id]\">".$head." $treeview_row[name]\n"; }
    $head2 = "--".$head;
    treeview2($treeview_row[id], $head2);
   }
 }
############# End function treeview2 #############

################ function subdir #################
# Gibt immer den Subordner mit Link aus ##########
function subdir($ordner)
 {
  global $db_handler,$ordner_id,$settings, $sql_table;
  $subdir_res = $db_handler->sql_query("SELECT * FROM $sql_table[dirs] WHERE id ='$ordner'");
  while($subdir_row = $db_handler->sql_fetch_array($subdir_res))
   {
    if($subdir_row[ordner_id] != 0)
     { echo subdir($subdir_row[ordner_id])." &raquo; <a href=\"".$settings[script_file]."ordner_id=$subdir_row[id]\">$subdir_row[name]</a>"; }
    else
     { echo "<a href=\"".$settings[script_file]."ordner_id=0\">Index</a> &raquo; <a href=\"".$settings[script_file]."ordner_id=$subdir_row[id]\">$subdir_row[name]</a>"; }
   }
 }
############## End function subdir ###############

################ function prepare ################
# Bereit die Variablen vor #######################
function prepare($table_row, $mode)
 {
  global $settings,$db_handler,$sql_table,$file_id;
  if($mode == "file")
   {
    #--------------------------------------------#
    $filename = explode("/",$table_row[url]);
    $table_row[filename] = $filename[count($filename)-1];
    #--------------------------------------------#
    $uploader_res = $db_handler->sql_query("SELECT * FROM $sql_table[admins] WHERE id='$table_row[uploader]'");
    if($db_handler->sql_num_rows($uploader_res) == 0)
     {
      $uploader = "Gelscht!";
     }
    else
     {
      while($uploader_row = $db_handler->sql_fetch_array($uploader_res))
       {
        $uploader = "<a href=\"mailto:".$uploader_row[mail]."\">".$uploader_row[nick]."</a>";
        if($uploader_row[icq] > 0) $uploader .= " <a href=\"http://wwp.icq.com/scripts/search.dll?to=$uploader_row[icq]\"><img src=\"http://wwp.icq.com/scripts/online.dll?icq=$uploader_row[icq]&img=5\" border=\"0\"></a>";
        if($uploader_row[url]) $uploader .= " <a href=\"$uploader_row[url]\"><img src=\"pdl-gfx/www.gif\" border=\"0\"></a>";
       }
     }
    $table_row[uploader] = $uploader;
    #--------------------------------------------#
    if($table_row[author] == 0)
     {
      if($table_row[author_mail]) $author = "<a href=\"mailto:$table_row[author_mail]\">$table_row[author_nick]</a>";
      else $author = $table_row[author_nick];
      if($table_row[author_icq] > 0) $author .= " <a href=\"http://wwp.icq.com/scripts/search.dll?to=$table_row[author_icq]\"><img src=\"http://wwp.icq.com/scripts/online.dll?icq=$table_row[author_icq]&img=5\" border=\"0\"></a>";
      if($table_row[author_url]) $author .= " <a href=\"$table_row[author_url]\"><img src=\"pdl-gfx/www.gif\" border=\"0\"></a>";
     }
    elseif($table_row[author] == -1) $author = "Unbekannt";
    else
     {
      $author_res = $db_handler->sql_query("SELECT * FROM $sql_table[admins] WHERE id='$table_row[author]'");
      while($author_row = $db_handler->sql_fetch_array($author_res))
       {
        $author = "<a href=\"mailto:".$author_row[mail]."\">".$author_row[nick]."</a>";
        if($author_row[icq] > 0) $author .= " <a href=\"http://wwp.icq.com/scripts/search.dll?to=$author_row[icq]\"><img src=\"http://wwp.icq.com/scripts/online.dll?icq=$author_row[icq]&img=5\" border=\"0\"></a>";
        if($author_row[url]) $author .= " <a href=\"$author_row[url]\"><img src=\"pdl-gfx/www.gif\" border=\"0\"></a>";
       }
     }
    $table_row[author] = $author;
    #--------------------------------------------#
    if($table_row[votes] > 0) $table_row[vote] = round($table_row[vote]/$table_row[votes], 1);
    #--------------------------------------------#
    if($table_row[screen_name]) $table_row[screen] = "<img src=\"".$settings[screen_dir].$table_row[screen_name]."\" border=\"0\">";
    #--------------------------------------------#
    $getmirrors_res = $db_handler->sql_query("SELECT * FROM $sql_table[mirrors] WHERE file_id='$file_id'");
    $mirror_count = 0;
    $mirrors = "";
    while($getmirrors_row = $db_handler->sql_fetch_array($getmirrors_res))
     {
      $mirror_count++;
#      $mirrors.= "<a href=\"$settings[script_file]mirror_load=$getmirrors_row[id]&filename=$table_row[filename]\" target=\"_blank\">Mirror $mirror_count by $getmirrors_row[name]</a><br>";
      $mirrors.= "<a href=\"$settings[script_file]mirror_load=$getmirrors_row[id]&filename=$table_row[filename]\" target=\"_blank\">$getmirrors_row[name]</a><br>";
     }
    $table_row[mirrors] = $mirrors;
    #--------------------------------------------#
    $table_row[traffic] = size($table_row[size]*$table_row[loads]);
    #--------------------------------------------#
    if(!$table_row[text]) $table_row[text] = "N/A";
    $table_row[text] = str_replace($settings[trennstring],"" , $table_row[text]);
    #--------------------------------------------#
   }
  if($mode == "comment")
   {
    #--------------------------------------------#
    $table_row[nick] = "<a href=\"mailto:$table_row[mail]\">$table_row[nick]</a>";
    if($table_row[icq] > 0) $table_row[nick] .= " <a href=\"http://wwp.icq.com/scripts/search.dll?to=$table_row[icq]\"><img src=\"http://wwp.icq.com/scripts/online.dll?icq=$table_row[icq]&img=5\" border=\"0\"></a>";
    if($table_row[url]) $table_row[nick] .= " <a href=\"$table_row[url]\"><img src=\"pdl-gfx/www.gif\" border=\"0\"></a>";
    #--------------------------------------------#
   }
  if($mode == "preview")
   {
    #--------------------------------------------#
    $filename = explode("/",$table_row[url]);
    $table_row[filename] = $filename[count($filename)-1];
    #--------------------------------------------#
    $uploader_res = $db_handler->sql_query("SELECT * FROM $sql_table[admins] WHERE id='$table_row[uploader]'");
    if($db_handler->sql_num_rows($uploader_res) == 0)
     {
      $uploader = "Gelscht!";
     }
    else
     {
      while($uploader_row = $db_handler->sql_fetch_array($uploader_res))
       {
        $uploader = "<a href=\"mailto:".$uploader_row[mail]."\">".$uploader_row[nick]."</a>";
        if($uploader_row[icq] > 0) $uploader .= " <a href=\"http://wwp.icq.com/scripts/search.dll?to=$uploader_row[icq]\"><img src=\"http://wwp.icq.com/scripts/online.dll?icq=$uploader_row[icq]&img=5\" border=\"0\"></a>";
        if($uploader_row[url]) $uploader .= " <a href=\"$uploader_row[url]\"><img src=\"pdl-gfx/www.gif\" border=\"0\"></a>";
       }
     }
    $table_row[uploader] = $uploader;
    #--------------------------------------------#
    if($table_row[author] == 0)
     {
      if($table_row[author_mail]) $author = "<a href=\"mailto:$table_row[author_mail]\">$table_row[author_nick]</a>";
      else $author = $table_row[author_nick];
      if($table_row[author_icq] > 0) $author .= " <a href=\"http://wwp.icq.com/scripts/search.dll?to=$table_row[author_icq]\"><img src=\"http://wwp.icq.com/scripts/online.dll?icq=$table_row[author_icq]&img=5\" border=\"0\"></a>";
      if($table_row[author_url]) $author .= " <a href=\"$table_row[author_url]\"><img src=\"pdl-gfx/www.gif\" border=\"0\"></a>";
     }
    elseif($table_row[author] == -1) $author = "Unbekannt";
    else
     {
      $author_res = $db_handler->sql_query("SELECT * FROM $sql_table[admins] WHERE id='$table_row[author]'");
      while($author_row = $db_handler->sql_fetch_array($author_res))
       {
        $author = "<a href=\"mailto:".$author_row[mail]."\">".$author_row[nick]."</a>";
        if($author_row[icq] > 0) $author .= " <a href=\"http://wwp.icq.com/scripts/search.dll?to=$author_row[icq]\"><img src=\"http://wwp.icq.com/scripts/online.dll?icq=$author_row[icq]&img=5\" border=\"0\"></a>";
        if($author_row[url]) $author .= " <a href=\"$author_row[url]\"><img src=\"pdl-gfx/www.gif\" border=\"0\"></a>";
       }
     }
    $table_row[author] = $author;
    #--------------------------------------------#
    if($table_row[votes] > 0) $table_row[vote] = round($table_row[vote]/$table_row[votes], 1);
    #--------------------------------------------#
    if($table_row[screen_name]) $table_row[screen] = "<img src=\"".$settings[screen_dir].$table_row[screen_name]."\" border=\"0\">";
    #--------------------------------------------#
    $getmirrors_res = $db_handler->sql_query("SELECT * FROM $sql_table[mirrors] WHERE file_id='$file_id'");
    $mirror_count = 0;
    $mirrors = "";
    while($getmirrors_row = $db_handler->sql_fetch_array($getmirrors_res))
     {
      $mirror_count++;
      $mirrors.= "<a href=\"$settings[script_file]mirror_load=$getmirrors_row[id]&filename=$table_row[filename]\" target=\"_blank\">Mirror $mirror_count by $getmirrors_row[name]</a><br>";
     }
    $table_row[mirrors] = $mirrors;
    #--------------------------------------------#
    $table_row[traffic] = size($table_row[size]*$table_row[loads]);
    #--------------------------------------------#
    if(!$table_row[text])
     { $table_row[text] = "N/A"; }
    elseif($settings[trennung] == "zeichen")
     {
      if(strlen($table_row[text]) <= $settings[chars_count])
       { $table_row[text] = $table_row[text]; }
      else
       { $table_row[text] = substr($table_row[text],0,$settings[chars_count])."..."; }
     }
    elseif($settings[trennung] == "trennstring")
     {
      $text = explode($settings[trennstring], $table_row[text]);
      $table_row[text] = $text[0];
     }
    #--------------------------------------------#
   }
  if($mode == "top")
   {
    #--------------------------------------------#
    $filename = explode("/",$table_row[url]);
    $table_row[filename] = $filename[count($filename)-1];
    #--------------------------------------------#
    if($table_row[votes] > 0) $table_row[vote] = round($table_row[vote]/$table_row[votes], 1);
    #--------------------------------------------#
    $table_row[traffic] = size($table_row[size]*$table_row[loads]);
    #--------------------------------------------#
    if(strlen($table_row[name]) > $settings[name_zeichen]-3)
     { $table_row[name] = substr($table_row[name],0,$settings[name_zeichen])."..."; }
    #--------------------------------------------#
    if(!$table_row[text])
     { $table_row[text] = "N/A"; }
    elseif($settings[trennung] == "zeichen")
     {
      if(strlen($table_row[text]) <= $settings[chars_count])
       { $table_row[text] = $table_row[text]; }
      else
       { $table_row[text] = substr($table_row[text],0,$settings[chars_count])."..."; }
     }
    elseif($settings[trennung] == "trennstring")
     {
      $text = explode($settings[trennstring], $table_row[text]);
      $table_row[text] = $text[0];
     }
    #--------------------------------------------#
   }
  return $table_row;
 }
############## End function prepare ##############

################ function replace ################
# ersetzt die Templates durch die Variablen ######
function replace($template, $table_row, $design)
 {
  global $settings,$alt_switch,$list;

  $alt_switch++;
  if($alt_switch == 2)
   {
    $alt_switch = 0;
    $alt = $design[alt_2];
   }
  elseif($alt_switch == 1)
   {
    $alt = $design[alt_1];
   }

  $template = str_replace("{name}", $table_row[name], $template);
  $template = str_replace("{titel}", $table_row[titel], $template);
  $template = str_replace("{votes}", $table_row[votes], $template);
  $template = str_replace("{vote}", $table_row[vote], $template);
  $template = str_replace("{vote_form}", voted($table_row[id]), $template);
  $template = str_replace("{size}", size($table_row[size]), $template);
  $template = str_replace("{nick}", $table_row[nick], $template);
  $template = str_replace("{loads}", $table_row[loads], $template);
  $template = str_replace("{views}", $table_row[views], $template);
  $template = str_replace("{text}", nl2br($table_row[text]), $template);
  $template = str_replace("{screen}", $table_row[screen], $template);
  $template = str_replace("{time}", date($settings[time_config],$table_row[timestamp]), $template);
  $template = str_replace("{uploader}", $table_row[uploader], $template);
  $template = str_replace("{dl_time}", dlspeed($settings[speed1_speed],$settings[speed1_name],$table_row[size]).dlspeed($settings[speed2_speed],$settings[speed2_name],$table_row[size]).dlspeed($settings[speed3_speed],$settings[speed3_name],$table_row[size]), $template);
  $template = str_replace("{id}", $table_row[id], $template);
  $template = str_replace("{author}", $table_row[author], $template);
  $template = str_replace("{mirrors}", $table_row[mirrors], $template);
  $template = str_replace("{alt}", $alt, $template);
  $template = str_replace("{alt_1}", $design[alt_1], $template);
  $template = str_replace("{alt_2}", $design[alt_2], $template);
  $template = str_replace("{footer_bg}", $design[footer_bg], $template);
  $template = str_replace("{header_bg}", $design[header_bg], $template);
  $template = str_replace("{table_border}", $design[table_border], $template);
  $template = str_replace("{script_file}", $settings[script_file], $template);
  $template = str_replace("{count}", $table_row[count], $template);
  $template = str_replace("{files}", $table_row[files], $template);
  $template = str_replace("{subdirs}", $table_row[subdirs], $template);
  $template = str_replace("{filename}", $table_row[filename], $template);
  $template = str_replace("{traffic}", $table_row[traffic], $template);
  $template = str_replace("{list}", $list, $template);
  return $template;
 }
############## End function replace ##############
?>