<?
/************************************************************************/
/* PowerDownload is a PHP and mySQL based Download Script               */
/* Copyright (C) 2001-2002 PowerScripts                                 */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or    */
/* (at your option) any later version.                                  */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                */
/* MA  02111-1307  USA                                                  */
/************************************************************************/

############# Include needet Files ###############
include("pdl-inc/pdl_config.inc.php");
include("pdl-inc/pdl_db_class_".strtolower($config_sql_type).".inc.php");
#include("pdl-inc/templates/".strtolower($lang).".inc.php");
include("pdl-inc/pdl_functions.inc.php");
########### End Include needet Files #############

################ Initialize SQL ##################
$db_handler = new pdl_db_class;
$db_handler->config_sql_server = $config_sql_server;
$db_handler->config_sql_database = $config_sql_database;
$db_handler->config_sql_user = $config_sql_user;
$db_handler->config_sql_password = $config_sql_password;
$db_handler->sql_connect();
############## End Initialize SQL ################

############## Load Default Design ###############
$designs_res = $db_handler->sql_query("SELECT * FROM $sql_table[designs] WHERE design_id='-1'");
while($designs_row = $db_handler->sql_fetch_array($designs_res))
 {
  $default_design[$designs_row[name]] = $designs_row[value];
 }
############ End Load Default Design #############

################# Load Settings ##################
$settings_res = $db_handler->sql_query("SELECT * FROM $sql_table[settings]");
while($settings_row = $db_handler->sql_fetch_array($settings_res))
 {
  $settings[$settings_row[name]] = $settings_row[value];
 }

$alt_switch = 0;
$script_file = $settings[script_file];

if(preg_match("/\?/", $settings[script_file]) == true)
 { $settings[script_file] = $settings[script_file]."&"; }
else
 { $settings[script_file] = $settings[script_file]."?"; }
$settings[version] = "v2.2.4";
############## End Load Settings #################

################# Enter a vote ###################
if($vote == 1)
 { addvote($vote_id,$file_id); }
############### End Enter a vote #################

################# Start Download #################
$dl_allowed = false;
if($load_id || $mirror_load)
 {
if($settings[referer_check] == "Y")
 {
  $all_referer = explode(" ", $settings[allowed_referer]);
  for($i = 0; $i < count($all_referer); $i++)
   {
    if(preg_match("/".$all_referer[$i]."/i",$HTTP_REFERER))
     {
      $dl_allowed = true;
      break;
     }
   }
 }
else
 {
  $dl_allowed = true;
 }

if($dl_allowed == true)
 {
  if($load_id)
   {
    $load_res = $db_handler->sql_query("SELECT url FROM $sql_table[files] WHERE id='$load_id'");
    increase_loads($load_id);
    while($load_row = $db_handler->sql_fetch_array($load_res))
     {
      header("Location: ".$load_row[url]);
     }
   }

  if($mirror_load)
   {
    $load_res = $db_handler->sql_query("SELECT url, file_id FROM $sql_table[mirrors] WHERE id='$mirror_load'");
    while($load_row = $db_handler->sql_fetch_array($load_res))
     {
      increase_loads($load_row[file_id]);
      header("Location: ".$load_row[url]);
     }
   }
 }
else header("Location: $settings[script_file]wrong_referer=1");
 }
############### End Start Download ###############

################# Increase Views #################
if($file_id)
 {
  increase_views($file_id);
 }
############### End Increase Views ###############

// Sicherheitslcke schlieen:
unset($logged_id);
unset($user);

################## Check Login ###################
if($pdl_cookie)
 {
  $check = explode("###", $pdl_cookie);
  $check_res = $db_handler->sql_query("SELECT * FROM $sql_table[admins] WHERE id='$check[0]'");
  $num = $db_handler->sql_num_rows($check_res);
  while($check_row = $db_handler->sql_fetch_array($check_res))
   {
    $pw = base64_encode($check[1]);
    if($pw == $check_row[pw])
     {
      $logged_in = true;
      $user = $check_row;
     }
   }
  if((!$logged_in) || ($num == 0))
   {
    $error = "Die im Cookie gespeicherten Informationen sind Falsch!";
   }
 }
################ End Check Login #################

################## Make Login ####################
if($login == 1)
 {
  if ($nick && $password)
   {
    $query = "SELECT * FROM $sql_table[admins] WHERE nick='$nick'";
    $result = $db_handler->sql_query($query);
    $num = $db_handler->sql_num_rows($result);
    while ($row = $db_handler->sql_fetch_array($result))
     {
      $pw = base64_encode($password);
      if ($row[pw] != $pw)
       {
        $error = "Falsches Passwort!";
       }
      else
       {
        cookie("pdl_cookie", "$row[id]###$password");
        $logged_in = true;
        header("Location :".$PHP_SELF);
       }
    }
    if ($num == 0)
     {
      $error = "Falscher Nick!";
     }
   }
  else
   {
    if (!$nick)
     {
      $error = "Keinen Nick angegeben!";
     }
    elseif (!$password)
     {
      $error = "Kein Passwort angegeben!";
     }
   }
 }
################# End make Login #################

##################### Logout #####################
if ($logout == 1)
 {
  cookie("pdl_cookie", "");
  $logged_in = false;
 }
################### End Logout ###################

##################### Listing ####################
if($change_list == 1)
 {
  cookie("pdl_list", "$by###$order###$limit");
  if($search) header("Location: $settings[script_file]search=1&searchin=$searchin&search_for=$search_for");
  else header("Location: $settings[script_file]ordner_id=$ordner_id");
 }
if($pdl_list) $list_op = explode("###",$pdl_list);
else
 {
  $list_op[0] = "name";
  $list_op[1] = "ASC";
  $list_op[2] = $settings[config_seite];
 }
$list = "Files sortieren nach
<select name=\"by\">
<option value=\"name\">Name</option>
<option value=\"text\"";
if($list_op[0] == "text") $list .= " selected";
$list .= ">Beschreibung</option>
<option value=\"size\"";
if($list_op[0] == "size") $list .= " selected";
$list .= ">Gre</option>
<option value=\"timestamp\"";
if($list_op[0] == "timestamp") $list .= " selected";
$list .= ">Datum</option>
<option value=\"loads\"";
if($list_op[0] == "loads") $list .= " selected";
$list .= ">Downloads</option>
<option value=\"views\"";
if($list_op[0] == "views") $list .= " selected";
$list .= ">Views</option>
<option value=\"votes\"";
if($list_op[0] == "votes") $list .= " selected";
$list .= ">Bewertungen</option>
<option value=\"vote/votes\"";
if($list_op[0] == "vote/votes") $list .= " selected";
$list .= ">Bewertung</option></select>
in <select name=\"order\">
<option value=\"ASC\">aufsteigender</option>
<option value=\"DESC\"";
if($list_op[1] == "DESC") $list .= " selected";
$list .= ">absteigender</option></select> Reihenfolge mit
<input type=\"text\" style=\"width:25;\" name=\"limit\" value=\"$list_op[2]\">
Files auf einer Seite <input type=\"submit\" value=\"GO\">";
################### End Listing ##################
?>
