<?
/************************************************************************/
/* PowerDownload is a PHP and mySQL based Download Script               */
/* Copyright (C) 2001-2002 PowerScripts                                 */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or    */
/* (at your option) any later version.                                  */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                */
/* MA  02111-1307  USA                                                  */
/************************************************************************/

include("pdl-inc/pdl_header.inc.php");

function PMA_splitSqlFile(&$ret, $sql)
 {
    $sql          = trim($sql);
    $sql_len      = strlen($sql);
    $char         = '';
    $string_start = '';
    $in_string    = FALSE;
    $time0        = time();

    for ($i = 0; $i < $sql_len; ++$i)
     {
      $char = $sql[$i];
      if ($in_string)
       {
        for (;;)
         {
          $i         = strpos($sql, $string_start, $i);
          if (!$i)
           {
            $ret[] = $sql;
            return TRUE;
           }
          else if ($string_start == '`' || $sql[$i-1] != '\\')
           {
            $string_start      = '';
            $in_string         = FALSE;
            break;
           }
          else
           {
            $j                     = 2;
            $escaped_backslash     = FALSE;
            while ($i-$j > 0 && $sql[$i-$j] == '\\')
             {
              $escaped_backslash = !$escaped_backslash;
              $j++;
             }
            if ($escaped_backslash)
             {
              $string_start  = '';
              $in_string     = FALSE;
              break;
             }
            else
             {
              $i++;
             }
           }
         }
       }
      else if ($char == ';')
       {
        $ret[]      = substr($sql, 0, $i);
        $sql        = ltrim(substr($sql, min($i + 1, $sql_len)));
        $sql_len    = strlen($sql);
        if ($sql_len)
         {
          $i      = -1;
         }
        else
         {
          return TRUE;
         }
       }
      else if (($char == '"') || ($char == '\'') || ($char == '`'))
       {
        $in_string    = TRUE;
        $string_start = $char;
       }
      else if ($char == '#' || ($char == ' ' && $i > 1 && $sql[$i-2] . $sql[$i-1] == '--'))
       {
        $start_of_comment = (($sql[$i] == '#') ? $i : $i-2);
        $end_of_comment   = (strpos(' ' . $sql, "\012", $i+2))
                           ? strpos(' ' . $sql, "\012", $i+2)
                           : strpos(' ' . $sql, "\015", $i+2);
        if (!$end_of_comment)
         {
          if ($start_of_comment > 0)
           {
            $ret[]    = trim(substr($sql, 0, $start_of_comment));
           }
          return TRUE;
         }
        else
         {
          $sql          = substr($sql, 0, $start_of_comment)
                        . ltrim(substr($sql, $end_of_comment));
          $sql_len      = strlen($sql);
          $i--;
         }
       }
      else if ($char == '!' && $i > 1  && $sql[$i-2] . $sql[$i-1] == '/*')
       {
        $sql[$i] = ' ';
       }
      $time1     = time();
      if ($time1 >= $time0 + 30)
       {
        $time0 = $time1;
        header('X-pmaPing: Pong');
       }
     }
    if (!empty($sql) && ereg('[^[:space:]]+', $sql))
     {
      $ret[] = $sql;
     }

    return TRUE;
 }
?>

<html>
<head>
<title>PowerDownload - Install</title>
<link rel="stylesheet" href="pdl-gfx/powerscripts.css" type="text/css">
<script language="JavaScript">
function updatecolor(preview,newvalue)
 {
  preview.style.background = newvalue;
 }
</script>
</head>
<body bgcolor="#202020" leftmargin="5" topmargin="5" rightmargin="5">
<center>
<br>
<table border="0" cellpadding="0" cellspacing="0" width="600">
  <tr>
    <td bgcolor="#c0c0c0">
      <table border="0" cellpadding="3" cellspacing="1" width="100%">
        <tr>
          <td bgcolor="#101030" align="center">
            &nbsp;
          </td>
        </tr>
        <tr>
          <td bgcolor="#606060" align="center">
            <h1> PowerDownload v2.x.x -> v2.2.1 Update</h1>
          </td>
        </tr>
        <tr>
          <td bgcolor="#202040" align="center">
            &nbsp;
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</center>
<?
switch($step)
 {
  default:
   echo "<h1>Update von v2.x.x auf v2.2.1</h1><br>
   <small>Wir empfehlen ihnen vor dem Update in Backup der Datenbank anzufertigen, falls das Update fehlschlagen sollte.
   Andernfalls wren (fast) alle Daten verloren.<br>
   Wegen groen Vernderungen am System werden alle Kommentare gelscht.</small><br>
   <a href=\"$PHP_SELF?step=1\">weiter &raquo;</a>";
  break;
  case "1":
$db_handler->sql_query("ALTER TABLE $sql_table[admins] ADD url VARCHAR(128) NOT NULL AFTER pw, ADD icq INT(14) NOT NULL AFTER url, ADD addcomments ENUM('Y','N') NOT NULL AFTER icq, ADD access_admin ENUM('Y','N') NOT NULL AFTER addcomments;");
$db_handler->sql_query("ALTER TABLE $sql_table[admins] ADD UNIQUE('nick')");
$db_handler->sql_query("ALTER TABLE $sql_table[files] ADD votes INT(9) NOT NULL, ADD vote INT(9) NOT NULL");
$db_handler->sql_query("ALTER TABLE $sql_table[files] ADD author_nick VARCHAR(128) NOT NULL AFTER author");
$db_handler->sql_query("ALTER TABLE $sql_table[files] ADD author_url VARCHAR(128) NOT NULL AFTER author_mail, ADD author_icq INT(14) NOT NULL AFTER author_url");
$get_author_res = $db_handler->sql_query("SELECT * FROM $sql_table[files] WHERE author!=''");
while($get_author_row = $db_handler->sql_fetch_array($get_author_res))
 {
  $db_handler->sql_query("UPDATE $sql_table[files] SET author_nick='$get_author_row[author]' WHERE id='$get_author_row[id]'");
 }
$db_handler->sql_query("ALTER TABLE $sql_table[files] CHANGE author author INT(9) NOT NULL, CHANGE author_mail author_mail VARCHAR(128) NOT NULL");
$db_handler->sql_query("UPDATE $sql_table[files] SET author='-1' WHERE author_nick=''");

$get_votes_res = $db_handler->sql_query("SELECT SUM(vote_id) AS vote, COUNT(vote_id) AS votes, file_id FROM $sql_table[votes] GROUP BY file_id");
while($get_votes_row = $db_handler->sql_fetch_array($get_votes_res))
 {
  $db_handler->sql_query("UPDATE $sql_table[files] SET votes='$get_votes_row[votes]', vote='$get_votes_row[vote]' WHERE id='$get_votes_row[file_id]'");
 }

$querys = "
#--------------------------------------------#

DROP TABLE IF EXISTS $sql_table[comments];
CREATE TABLE $sql_table[comments] (
  id mediumint(8) unsigned NOT NULL auto_increment,
  user int(9) NOT NULL default '0',
  text text NOT NULL,
  file_id mediumint(9) NOT NULL default '0',
  titel varchar(255) NOT NULL default '',
  timestamp int(14) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#--------------------------------------------#

DROP TABLE IF EXISTS $sql_table[votes];
CREATE TABLE $sql_table[votes] (
  file_id mediumint(9) NOT NULL default '0',
  ip varchar(32) NOT NULL default ''
) TYPE=MyISAM;

#--------------------------------------------#

DELETE FROM $sql_table[designs];
INSERT INTO $sql_table[designs] VALUES (-1, 'files_row', '        <tr>\r\n          <td bgcolor=\"{alt}\">\r\n            <a href=\"{script_file}file_id={id}\">{name}</a>\r\n          </td>\r\n          <td bgcolor=\"{alt}\">\r\n            {size}\r\n          </td>\r\n          <td bgcolor=\"{alt}\">\r\n            {time}\r\n          </td>\r\n          <td bgcolor=\"{alt}\">\r\n            {text}\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'ordner_row', '        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <a href=\"{script_file}ordner_id={id}\">{name}</a>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {files}\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            {subdirs}\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {text}\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'ordner_header', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"4\" align=\"center\">\r\n            <b>Sub-Ordner</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Name</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Files</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Sub-Ordner</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Beschreibung</b>\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'files_header', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"4\" align=\"center\">\r\n            <b>Dateien</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Name</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Gre</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Uploaddatum</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Beschreibung</b>\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'own_footer', 'An alle Webmaster:<br>\r\nBitte linkt auf diese Seite und <b>nicht</b> direkt auf die Datei.');
INSERT INTO $sql_table[designs] VALUES (-1, 'file_detail', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>{name}</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Gre</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            {size}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Uploaddatum</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {time}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Uploader</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            {uploader}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Autor</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {author}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Downloads</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            {loads}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Views</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {views}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Verursachter Traffic</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            {traffic}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Downloadzeit</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {dl_time}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Bewertung</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            Bewertungen: {votes}<br>\r\n            Durchschnittliche Bewertung: {vote}\r\n            {vote_form}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\" colspan=\"2\" align=\"center\">\r\n            <b>Beschreibung</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\" colspan=\"2\">\r\n            <center>{screen}</center>\r\n            {text}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" colspan=\"2\" align=\"center\">\r\n            <a href=\"{script_file}load_id={id}&filename={filename}\">Download</a><br>\r\n            {mirrors}\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'comment_add', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>Kommentar schreiben</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>User</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {user_nick}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Titel</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"text\" name=\"titel\" style=\"width:375\" value=\"...\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\" align=\"center\" colspan=\"2\">\r\n            <b>Kommentar</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\" align=\"center\" colspan=\"2\">\r\n            <textarea name=\"text\" style=\"width:375\" rows=\"5\"></textarea>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" align=\"center\" colspan=\"2\">\r\n            <input type=\"submit\" value=\"Kommentar abschicken\">\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'comments', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>{titel}</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\" colspan=\"2\">\r\n            {text}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" width=\"50%\">\r\n            {time}\r\n          </td>\r\n          <td bgcolor=\"{footer_bg}\" align=\"right\">\r\n            by {nick}\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n<br><br>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'top_header', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\">\r\n            <b>Top {count} Downloads</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'top_row', '            <a href=\"{script_file}file_id={id}\" target=\"main\">{name}</a> ({loads})<br>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'tops_close', '          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n            Mouseover fr Details!<br>\r\n            <hr>\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'ordner_close', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\" colspan=\"4\">\r\n            &nbsp;\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'files_close', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\" colspan=\"4\" align=\"center\">\r\n            {list}\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'latest_header', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\">\r\n            <b>Latest {count} Downloads</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'latest_row', '            <a href=\"{script_file}file_id={id}\" target=\"main\">{name}</a> ({loads})<br>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'flop_header', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\">\r\n            <b>Flop {count} Downloads</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'flop_row', '            <a href=\"{script_file}file_id={id}\" target=\"main\">{name}</a> ({loads})<br>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'stats', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\">\r\n            <b>Statistik</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n            <b>Datenbank:</b><br>\r\n            {total_files} Files<br>\r\n            {total_kmgt}<br>\r\n            <b>Transfered:</b><br>\r\n            {loaded_files} Files<br>\r\n            {loaded_kmgt}<br>\r\n            <b>Durchschnitt:</b><br>\r\n            {durch_files} Files/Tag<br>\r\n            {durch_kmgt}/Tag<br>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n            <hr>\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'user_profil', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>Profil bearbeiten - {nick}</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Mailadresse</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <input type=\"text\" name=\"mail\" style=\"width:375\" value=\"{mail}\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Passwort</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"password\" name=\"pw\" style=\"width:375\" value=\"{pw}\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Homepage</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <input type=\"text\" name=\"url\" style=\"width:375\" value=\"{url}\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>ICQ Nummer</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"text\" name=\"icq\" style=\"width:75\" value=\"{icq}\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" align=\"center\" colspan=\"2\">\r\n            <input type=\"submit\" value=\"bernehmen\">\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'user_login', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>Login</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Nickname</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"text\" name=\"nick\" style=\"width:375\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Passwort</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <input type=\"password\" name=\"password\" style=\"width:375\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" align=\"center\" colspan=\"2\">\r\n            <input type=\"submit\" value=\"Login\">\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'user_anmeld', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>Anmelden</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Nickname</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"text\" name=\"nick\" style=\"width:375\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Mailadresse</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <input type=\"text\" name=\"mail\" style=\"width:375\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Passwort</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"password\" name=\"pw\" style=\"width:375\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Homepage</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <input type=\"text\" name=\"url\" style=\"width:375\" value=\"http://\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>ICQ Nummer</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"text\" name=\"icq\" style=\"width:75\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" align=\"center\" colspan=\"2\">\r\n            <input type=\"submit\" value=\"Anmelden\">\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'choice_header', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\">\r\n            <b>Top {count} Rated</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'choice_row', '            <a href=\"{script_file}file_id={id}\" target=\"main\">{name}</a> ({vote})<br>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'header_bg', '#1B6496');
INSERT INTO $sql_table[designs] VALUES (-1, 'table_border', '#8AABBE');
INSERT INTO $sql_table[designs] VALUES (-1, 'alt_1', '#2C658A');
INSERT INTO $sql_table[designs] VALUES (-1, 'alt_2', '#326D8F');
INSERT INTO $sql_table[designs] VALUES (-1, 'footer_bg', '#3C6279');
INSERT INTO $sql_table[designs] VALUES (-1, 'bg', '#27394B');
INSERT INTO $sql_table[designs] VALUES (-1, 'all_width', '95%');
";
   $pieces       = array();
   PMA_splitSqlFile($pieces, $querys);
   $pieces_count = count($pieces);
   for ($i = 0; $i < $pieces_count; $i++)
    {
     $a_sql_query = $pieces[$i];
     $result = $db_handler->sql_query($a_sql_query);
     if ($result == FALSE)
      {
       $my_die = $a_sql_query;
       break;
      }
    }
   if(!isset($my_die))
    {
     echo "Das Update war erfolgreich. Da allerdings sehr viel am System verndert wurde, mussten die Styles zurckgesetzt werden.<br>
     Loggen Sie sich ein und passen Sie das Design und die Settings ihren Wnschen an!";
     #mail("swatinem@renegade-planet.de", "PowerDownload update", "Soeben hat jemand PowerDownload auf $settings[script_file] geupdatet von 2.x.x auf 2.2.1!", "FROM: Powerdownload Automailer <daemon@powerscripts.org>");
    }
   else
    { echo "Fehler beim erstellen der Tabellen!"; }
  break;
 }
?>
</body>
</html>
